Package org.eclipse.jgit.internal.storage.dfs

## Class DfsPacksChangedEvent

- java.lang.Object
- - org.eclipse.jgit.events.RepositoryEvent<DfsPacksChangedListener>
  - - org.eclipse.jgit.internal.storage.dfs.DfsPacksChangedEvent

    public class DfsPacksChangedEvent
    extends RepositoryEvent<DfsPacksChangedListener>

Describes a change to the list of packs in a `DfsRepository`.

### Constructor Summary

Constructors
`DfsPacksChangedEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatch​(DfsPacksChangedListener listener)` Dispatch this event to the given listener.
`Class<DfsPacksChangedListener>` `getListenerType()`

### Methods inherited from class org.eclipse.jgit.events.RepositoryEvent

`getRepository, setRepository, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DfsPacksChangedEvent

    public DfsPacksChangedEvent()

### Method Detail

#### getListenerType

    public Class<DfsPacksChangedListener> getListenerType()

Specified by:
  `getListenerType` in class `RepositoryEvent<DfsPacksChangedListener>`
Returns:
  type of listener this event dispatches to.

#### dispatch

    public void dispatch​(DfsPacksChangedListener listener)

Description copied from class: `RepositoryEvent`
Dispatch this event to the given listener.

Specified by:
  `dispatch` in class `RepositoryEvent<DfsPacksChangedListener>`
Parameters:
  `listener` - listener that wants this event.